Subject: [PATCH 09/28] PCI: Separate pci_host_bridge creation out of pci_create_root_bus()

From: [email-masked] (Yijing Wang)
Date: Mon, 19 Jan 2015 10:39:42 +0800

On 2015/1/16 17:34, Arnd Bergmann wrote:
> On Friday 16 January 2015 09:44:07 Yijing Wang wrote:
>> We want to make a generic pci_host_bridge, then we could
>> place common PCI infos like domain number in it. Ripping
>> out pci_host_bridge creation from pci_create_root_bus()
>> make code more better readability. Further more, we could
>> use the generic pci_host_bridge to hold host bridge specific
>> operations like pcibios_root_bridge_prepare().
>>
>> Signed-off-by: Yijing Wang <[email-masked]>
>>
> 
> I assume this patch is doing the right thing, but the description
> above doesn't really tell me enough to be sure.
> 
> This is supposed to be transparent to the callers, right? If
> so, please mention it explicitly in the text.

Sorry, I will refresh the patch log for better description.

In this series I have no plan to export the pci_create_host_bridge()
to callers, because I think pci_host_bridge_ops could make callers
have the ability to setup the platform specific operations. But if this
is needed, we could introduce another patches to export it.

> 
> Also you don't explain what the list of host bridges is
> used for. Maybe you can split this out into a separate patch
> so you have one patch that just moves code from one file
> to the other but no functional changes, and a second patch
> that exports pci_create_host_bridge and introduces the list,
> with an explanation of what it is used for.
> 

pci_host_bridge_list is used to find out whether the pci_host_bridge
in domain:bus is already existed, I will split the related code
to another patch, thanks.

> 	Arnd
> .

-- 
Thanks!
Yijing